#
# $Header: /usr/local/monitoring/nagios/etc/services/RCS/cpanel_prod_services.cfg,v 1.2 2014/09/11 17:48:48 nagios Exp nagios $
#
# Cpanel Production services
#

define service {
	service_description             nrpe_unix_agent_status
	use                             UNIX Production service
	hostgroup_name			CPanel Prod
	max_check_attempts              4
	check_command                   check_nrpe_agent
	contacts			Cpanel Admins
}

define service {
	service_description             nrpe_unix_cpu
	use                             UNIX Production service
	hostgroup_name			CPanel Prod
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu!50!70!2!1
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unix_active_mem
	use				UNIX Production service
	hostgroup_name			CPanel Prod
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unix_swap
	use				UNIX Production service
	hostgroup_name			CPanel Prod
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unix_disk_system
	use				UNIX Production service
	hostgroup_name			CPanel Prod
#action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unix_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unix_lxfiles
	use				UNIX Production service
	hostgroup_name			CPanel Prod
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/syslog.conf
	contacts			Cpanel Admins
}

define service {
	service_description             nrpe_unix_proclist_linux
	use                             UNIX Production service
	hostgroup_name			CPanel Prod
	check_command                   check_nrpe_proclist!crond,snmpd,sshd,xinetd
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unix_disk_app_das
	use				UNIX Production service
	hostgroup_name			CPanel Prod
	check_command			check_nrpe_disk_by_class!das
	notification_options		w,c,r
	contacts			Cpanel Admins
}

